org.apache.activemq.artemis.jms.client.compatible1X

## Class ActiveMQObjectCompatibleMessage

- java.lang.Object
- - org.apache.activemq.artemis.jms.client.ActiveMQMessage
  - - org.apache.activemq.artemis.jms.client.ActiveMQObjectMessage
    - - org.apache.activemq.artemis.jms.client.compatible1X.ActiveMQObjectCompatibleMessage

- All Implemented Interfaces:
    javax.jms.Message, javax.jms.ObjectMessage

      public class ActiveMQObjectCompatibleMessage
      extends ActiveMQObjectMessage

- - ### Field Summary

    - ### Fields inherited from class org.apache.activemq.artemis.jms.client.ActiveMQObjectMessage

      `TYPE`

    - ### Fields inherited from class org.apache.activemq.artemis.jms.client.ActiveMQMessage

      `message, OLD_QUEUE_QUALIFIED_PREFIX, OLD_TEMP_QUEUE_QUALIFED_PREFIX, OLD_TEMP_TOPIC_QUALIFED_PREFIX, OLD_TOPIC_QUALIFIED_PREFIX, propertiesReadOnly, readOnly, replyTo`

    - ### Fields inherited from interface javax.jms.Message

      `DEFAULT_DELIVERY_DELAY, DEFAULT_DELIVERY_MODE, DEFAULT_PRIORITY, DEFAULT_TIME_TO_LIVE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActiveMQObjectCompatibleMessage(ClientMessage message, ClientSession session, ConnectionFactoryOptions options)`
    `ActiveMQObjectCompatibleMessage(ClientSession session, ConnectionFactoryOptions options)`
    `ActiveMQObjectCompatibleMessage(javax.jms.ObjectMessage foreign, ClientSession session, ConnectionFactoryOptions options)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected SimpleString` | `checkPrefix(SimpleString address)`
    `javax.jms.Destination` | `getJMSReplyTo()`
    `void` | `setJMSReplyTo(javax.jms.Destination dest)`

    - ### Methods inherited from class org.apache.activemq.artemis.jms.client.ActiveMQObjectMessage

      `clearBody, doBeforeReceive, doBeforeSend, getBodyInternal, getObject, getType, isBodyAssignableTo, setObject`

    - ### Methods inherited from class org.apache.activemq.artemis.jms.client.ActiveMQMessage

      `acknowledge, checkBuffer, checkPrefixStr, checkRead, checkWrite, clearProperties, coreCompositeTypeToJMSCompositeType, coreMaptoJMSMap, createMessage, createMessage, getBody, getBooleanProperty, getByteProperty, getCoreMessage, getDoubleProperty, getFloatProperty, getIntProperty, getJMSCorrelationID, getJMSCorrelationIDAsBytes, getJMSDeliveryMode, getJMSDeliveryTime, getJMSDestination, getJMSExpiration, getJMSMessageID, getJMSPriority, getJMSRedelivered, getJMSTimestamp, getJMSType, getLongProperty, getObjectProperty, getPropertyNames, getShortProperty, getStringProperty, hasNoBody, prefixOf, propertyExists, resetMessageID, saveToOutputStream, setBooleanProperty, setByteProperty, setClientAcknowledge, setDoubleProperty, setFloatProperty, setIndividualAcknowledge, setInputStream, setIntProperty, setJMSCorrelationID, setJMSCorrelationIDAsBytes, setJMSDeliveryMode, setJMSDeliveryTime, setJMSDestination, setJMSExpiration, setJMSMessageID, setJMSPriority, setJMSRedelivered, setJMSTimestamp, setJMSType, setLongProperty, setObjectProperty, setOutputStream, setShortProperty, setStringProperty, toString, waitCompletionOnStream`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface javax.jms.Message

      `acknowledge, clearProperties, getBody, getBooleanProperty, getByteProperty, getDoubleProperty, getFloatProperty, getIntProperty, getJMSCorrelationID, getJMSCorrelationIDAsBytes, getJMSDeliveryMode, getJMSDeliveryTime, getJMSDestination, getJMSExpiration, getJMSMessageID, getJMSPriority, getJMSRedelivered, getJMSTimestamp, getJMSType, getLongProperty, getObjectProperty, getPropertyNames, getShortProperty, getStringProperty, propertyExists, setBooleanProperty, setByteProperty, setDoubleProperty, setFloatProperty, setIntProperty, setJMSCorrelationID, setJMSCorrelationIDAsBytes, setJMSDeliveryMode, setJMSDeliveryTime, setJMSDestination, setJMSExpiration, setJMSMessageID, setJMSPriority, setJMSRedelivered, setJMSTimestamp, setJMSType, setLongProperty, setObjectProperty, setShortProperty, setStringProperty`

- - ### Constructor Detail

    - #### ActiveMQObjectCompatibleMessage

          public ActiveMQObjectCompatibleMessage(ClientSession session,
                                                 ConnectionFactoryOptions options)

    - #### ActiveMQObjectCompatibleMessage

          public ActiveMQObjectCompatibleMessage(ClientMessage message,
                                                 ClientSession session,
                                                 ConnectionFactoryOptions options)

    - #### ActiveMQObjectCompatibleMessage

          public ActiveMQObjectCompatibleMessage(javax.jms.ObjectMessage foreign,
                                                 ClientSession session,
                                                 ConnectionFactoryOptions options)
                                          throws javax.jms.JMSException

      Throws:
        `javax.jms.JMSException`

  - ### Method Detail

    - #### checkPrefix

          protected SimpleString checkPrefix(SimpleString address)

      Overrides:
        `checkPrefix` in class `ActiveMQMessage`

    - #### setJMSReplyTo

          public void setJMSReplyTo(javax.jms.Destination dest)
                             throws javax.jms.JMSException

      Specified by:
        `setJMSReplyTo` in interface `javax.jms.Message`
      Overrides:
        `setJMSReplyTo` in class `ActiveMQMessage`
      Throws:
        `javax.jms.JMSException`

    - #### getJMSReplyTo

          public javax.jms.Destination getJMSReplyTo()
                                              throws javax.jms.JMSException

      Specified by:
        `getJMSReplyTo` in interface `javax.jms.Message`
      Overrides:
        `getJMSReplyTo` in class `ActiveMQMessage`
      Throws:
        `javax.jms.JMSException`

Copyright © 2021 The Apache Software Foundation. All rights reserved.